---
title: Optimierungen
---

# Systemleistung

Das Modul stellt Ihnen eine ganze Reihe an Filter- und Suchkriterien zur Verfügung. Wir investieren viel Zeit und Energie in die Optimierung der Optionen. Beachten Sie jedoch bitte, dass trotzdem jedes aktivierte Feature auch Rechenleistung Ihres Servers benötigt. Schauen Sie die Einstellungen daher bitte objektiv durch, welche davon in Ihrem Shop wirklich sinnvoll sind und auf welche Sie möglicherweise verzichten können. Nebenbei fällt es den Kunden auch leichter, sich durch eine überschaubare Trefferliste zu arbeiten, als vor einer riesigen Liste kapitulieren zu müssen.

Die folgende Übersicht soll Ihnen einen **Anhaltspunkt** liefern, welche Auswirkung die verschiedenen Einstellungen auf die Ladezeit haben kann. Da die tatsächlichen Ausführungszeiten von vielen unterschiedlichen Bedingungen abhängig sind, nutzen wir hierbei Zeiteinheiten. Wie lang solch eine Zeiteinheit ist, hängt von Ihrem System ab. Je kleiner die Zahl, umso schneller ist die Option:

- Standardsuche                         => ca. 14   Einheiten
- Ähnliche Artikel (phonetische Suche)  => ca. 14   Einheiten
- Auslassungen und Einfügungen          => ca.  2   Einheiten
- Indexbuchstaben                       => ca. 10   Einheiten
- Herstellerliste                       => ca.  5   Einheiten
- Lieferantenliste                      => ca.  5   Einheiten
- Kategorieliste                        => ca.  1   Einheit
- CMS-Suche                             => ca.  0,1 Einheiten

Sind Sie sich über die Leistung des Moduls auf Ihrem System nicht sicher, fordern Sie bei uns bitte eine Testlizenz an. Mit dieser können Sie die Funktion und Leistung mit Ihren Artikeln auf Ihrem Server testen. Eine allgemeine Aussage ist schon auf Grund der verschiedenen Systemkonstellationen nicht möglich.

# Suchtreffer

Manchmal ist es sinnvoll, Ihrem Kunden weitere Artikel zu zeigen, die er vielleicht gar nicht gesucht hat. Werden aber zu viele Treffer gezeigt, kann das den Besucher verwirren. Im kommenden Abschnitt zeigen wir Ihnen Optionen auf, mit denen Sie die Treffermenge beeinflussen können:

- Auslassungen oder Einfügungen erlauben: Aktivierung erhöht die Trefferanzahl
- Verwendung mehrerer Suchworte: `jedes Wort wird separat gesucht` erhöht die Treffermenge
- OR-Suche (Oxid Standard-Grundeinstellung): erhöht die Treffermenge
- Phonetische Suche: Aktivierung erhöht die Trefferanzahl
- Shop zeigt zusätzlich ähnliche klingende Treffer, wenn reguläre Suche maximal X Treffer: Aktivierung sowie große Anzahl erhöht die Treffermenge
- Treffergenauigkeit bei kurzen Suchworten: weniger Genauigkeit erhöht die Treffermenge
